using Microsoft.Extensions.Configuration;
using Siger.CommonUtil;
using Siger.Schedule.ToolsModule;
using System;
using System.IO;
using Xunit;

namespace Siger.UnitTest
{
    public class ToolsUnitTest
    {
        static ToolsUnitTest()
        {
            IConfiguration config = new ConfigurationBuilder()
                .AddJsonFile(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, @"appsettings.json"))
                .Build();
            ConfigFactory.InitConfigByContent(config);
        }


        [Fact]
        public void ProgramNumberJobScheduleTest()
        {
            ProgramNumberJobSchedule numberJobSchedule = new ProgramNumberJobSchedule();
            numberJobSchedule.PreInit(null);
            numberJobSchedule.Execute(null);
            numberJobSchedule.AfterExecute(null);
        }
    }
}

